# ChangeLog for media-sound/quodlibet
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/quodlibet/ChangeLog,v 1.47 2007/01/09 20:46:33 aballier Exp $

*quodlibet-0.24-r1 (09 Jan 2007)

  09 Jan 2007; Alexis Ballier <aballier@gentoo.org>
  +files/quodlibet-0.24-hal.patch, +quodlibet-0.24-r1.ebuild:
  Adding a patch to catch exception when hal is not running, bug #161139

*quodlibet-0.24 (06 Jan 2007)

  06 Jan 2007; Alexis Ballier <aballier@gentoo.org>
  +files/quodlibet-0.24-makefile.patch, +quodlibet-0.24.ebuild:
  Version bump, thanks to trapamoosch@wanadoo.fr, bug #1564363

  06 Jan 2007; Alexis Ballier <aballier@gentoo.org>
  quodlibet-0.23.1-r1.ebuild:
  Dbus 1 lovin

  07 Oct 2006; Thomas Cort <tcort@gentoo.org>
  -files/quodlibet-0.17.1-multilibfix.patch,
  -files/quodlibet-0.21-ctypes.patch, -quodlibet-0.21.1.ebuild,
  -quodlibet-0.22.ebuild, -quodlibet-0.23.ebuild, -quodlibet-0.23.1.ebuild:
  Fix manifest wrt Bug #150400.

  05 Oct 2006; Thomas Cort <tcort@gentoo.org>
  -files/quodlibet-0.17.1-multilibfix.patch,
  -files/quodlibet-0.21-ctypes.patch, -quodlibet-0.21.1.ebuild,
  -quodlibet-0.22.ebuild, -quodlibet-0.23.ebuild, -quodlibet-0.23.1.ebuild:
  Remove old ebuilds.

*quodlibet-0.23.1-r1 (25 Sep 2006)

  25 Sep 2006; Thomas Cort <tcort@gentoo.org>
  +files/quodlibet-0.23.1-python25.patch, +quodlibet-0.23.1-r1.ebuild:
  Added python-2.5 compatibility patch from upstream revision 3817 wrt Bug
  #148495.

  09 Sep 2006; Thomas Cort <tcort@gentoo.org> quodlibet-0.23.1.ebuild:
  Make the gst-plugins-gconf dep optional (with USE='gnome') to solve Bug
  #146728. Add logic to guess and set the default pipeline when USE='-gnome'.
  Use sed to fix multilib-strict instead of using the patch. Update the elog
  messages.

*quodlibet-0.23.1 (31 Aug 2006)

  31 Aug 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.23.1.ebuild:
  Version bump to 0.23.1.

*quodlibet-0.23 (17 Aug 2006)

  17 Aug 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.23.ebuild:
  Version bump to 0.23.

  22 Jul 2006; Thomas Cort <tcort@gentoo.org> quodlibet-0.22.ebuild:
  Added media-plugins/quodlibet-trayicon to PDEPEND.

*quodlibet-0.22 (09 Jul 2006)

  09 Jul 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.22.ebuild:
  Version bump to 0.22.

  17 Jun 2006; Thomas Cort <tcort@gentoo.org>
  -files/quodlibet-0.19.1-ctypes.patch, -quodlibet-0.20.1-r1.ebuild,
  -quodlibet-0.21.ebuild, quodlibet-0.21.1.ebuild:
  Removed old versions, fixed quoting.

*quodlibet-0.21.1 (15 Jun 2006)

  15 Jun 2006; Thomas Cort <tcort@gentoo.org> -quodlibet-0.11-r1.ebuild,
  +quodlibet-0.21.1.ebuild:
  Version bump to 0.21.1. Removed ancient 0.11 ebuild.

  12 Jun 2006; Jason Wever <weeve@gentoo.org> quodlibet-0.21.ebuild:
  Added ~sparc keyword wrt bug #130382.

*quodlibet-0.21 (11 Jun 2006)

  11 Jun 2006; Thomas Cort <tcort@gentoo.org>
  +files/quodlibet-0.21-ctypes.patch, +quodlibet-0.21.ebuild:
  Version bump to 0.21.

  21 May 2006; Thomas Cort <tcort@gentoo.org>
  -files/quodlibet-0.19-alsa.patch, -files/quodlibet-0.19-esd.patch,
  -files/quodlibet-0.19-oss.patch, -quodlibet-0.19.1-r1.ebuild,
  -quodlibet-0.20.ebuild, -quodlibet-0.20.1.ebuild:
  Removed old versions.

*quodlibet-0.20.1-r1 (11 May 2006)

  11 May 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.20.1-r1.ebuild:
  Added gst-plugins-gconf to DEPEND wrt Bug #133043 (Thanks to Frittella
  Laurento <mrfree@infinito.it>), removed the epatch lines which set the
  default pipeline (gst-plugins-gconf does this automatically), wrote a better
  DESCRIPTION, and changed pyvorbis depend to >=pyvorbis-1.4-r1 since the
  double free issue with 1.4 is solved in 1.4-r1.

  05 May 2006; Stephanie Lockwood-Childs <wormo@gentoo.org>
  quodlibet-0.19.1-r1.ebuild, quodlibet-0.20.1.ebuild, quodlibet-0.20.ebuild:
  mark ~ppc (Bug #130382)

*quodlibet-0.20.1 (02 May 2006)

  02 May 2006; <tcort@gentoo.org> +quodlibet-0.20.1.ebuild:
  Version bump to 0.20.1.

*quodlibet-0.20 (01 May 2006)

  01 May 2006; <tcort@gentoo.org> metadata.xml, -quodlibet-0.19.1.ebuild,
  +quodlibet-0.20.ebuild:
  Version bump to 0.20 (mostly bug fixes). Removed old 0.19.1 ebuild. Added
  myself to metadata and inserted a longdescription.

  13 Apr 2006; Thomas Cort <tcort@gentoo.org> quodlibet-0.19.1-r1.ebuild:
  Added ~alpha keyword.

  10 Apr 2006; Thomas Cort <tcort@gentoo.org> -quodlibet-0.19-r1.ebuild,
  -quodlibet-0.19-r2.ebuild, quodlibet-0.19.1-r1.ebuild:
  Removing quodlibet-0.19. It contains gnome bindings and plugin directory
  scanning bugs. Adding a message telling users not to file upstream bug
  reports. This was requested by upstream in an e-mail and on their FAQ.

  07 Apr 2006; Thomas Cort <tcort@gentoo.org> quodlibet-0.19-r1.ebuild:
  Added pkg_postrm to clean up stray .pyo/.pyc files for Bug #128719.

  06 Apr 2006; Patrick McLean <chutzpah@gentoo.org>
  quodlibet-0.19.1-r1.ebuild:
  Add a warning (copied from xine-lib) to pkg_postinst that the user will not
  be able to play mp3's when the "mad" USE flag is turned off.

  05 Apr 2006; Scott Stoddard <deltacow@gentoo.org>
  quodlibet-0.19.1-r1.ebuild:
  Added ~amd64.

*quodlibet-0.19.1-r1 (05 Apr 2006)

  05 Apr 2006; Thomas Cort <tcort@gentoo.org>
  +files/quodlibet-0.19.1-ctypes.patch, +quodlibet-0.19.1-r1.ebuild:
  Added a patch to allow Quod Libet to work with any version of ctypes.

*quodlibet-0.19.1 (05 Apr 2006)

  05 Apr 2006; Thomas Cort <tcort@gentoo.org>
  +files/quodlibet-0.19-esd.patch, +quodlibet-0.19.1.ebuild:
  Version bump to 0.19.1.

  04 Apr 2006; Thomas Cort <tcort@gentoo.org> -quodlibet-0.19.ebuild:
  Removed older versions.

  04 Apr 2006; Thomas Cort <tcort@gentoo.org> -quodlibet-0.17.1-r2.ebuild:
  Removed older versions.

*quodlibet-0.19-r2 (03 Apr 2006)

  03 Apr 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.19-r2.ebuild:
  Fix dependencies, fix build error (bug #128621), and now byte compiles the
  python code. Ebuild submitted by Kai Huuhko <kai.huuhko@gmail.com>

*quodlibet-0.19-r1 (03 Apr 2006)

  03 Apr 2006; Thomas Cort <tcort@gentoo.org>
  +files/quodlibet-0.19-alsa.patch, +files/quodlibet-0.19-oss.patch,
  +quodlibet-0.19-r1.ebuild:
  Adding patches to set the gst pipeline in the default config.

  03 Apr 2006; Scott Stoddard <deltacow@gentoo.org> quodlibet-0.19.ebuild:
  Added ~amd64.

*quodlibet-0.19 (03 Apr 2006)

  03 Apr 2006; Thomas Cort <tcort@gentoo.org> +quodlibet-0.19.ebuild:
  Version bump to 0.19. Ebuild submitted by Kai Huuhko <kai.huuhko@gmail.com>
  and commited slightly modified.

*quodlibet-0.17.1-r2 (04 Mar 2006)

  04 Mar 2006; Luis Medinas <metalgod@gentoo.org>
  -files/quodlibet-0.17.1-gstcheck.patch, -quodlibet-0.17.1-r1.ebuild,
  +quodlibet-0.17.1-r2.ebuild:
  Removed the ugly patch and using a real fix for sandbox.

*quodlibet-0.17.1-r1 (04 Mar 2006)

  04 Mar 2006; Luis Medinas <metalgod@gentoo.org>
  +files/quodlibet-0.17.1-gstcheck.patch, +quodlibet-0.17.1-r1.ebuild:
  Added a ugly patch to fix access violations by Thomas Cort
  <tcort@cs.ubishops.ca>. Closes bug #124852.

*quodlibet-0.17.1 (02 Mar 2006)

  02 Mar 2006; Luis Medinas <metalgod@gentoo.org>
  +files/quodlibet-0.17.1-multilibfix.patch, +quodlibet-0.17.1.ebuild:
  Version Bump. Thanks to all people involved in bug #101619. Droped sparc and
  ppc keywords because of dependencies. Added ~amd64 keywords.

  08 Jan 2006; Diego Pettenò <flameeyes@gentoo.org> metadata.xml:
  Remove retiring dev from metadata.

  25 Jul 2005; David Holm <dholm@gentoo.org> quodlibet-0.11-r1.ebuild:
  Added to ~ppc.

*quodlibet-0.11-r1 (04 Jun 2005)

  04 Jun 2005; Jan Brinkmann <luckyduck@gentoo.org> -quodlibet-0.11.ebuild,
  +quodlibet-0.11-r1.ebuild:
  Install files into correct prefix and generate extensions, fixes #92423.

*quodlibet-0.11 (28 May 2005)

  28 May 2005; Jan Brinkmann <luckyduck@gentoo.org> -quodlibet-0.3.ebuild,
  -quodlibet-0.4.ebuild, quodlibet-0.8.1.ebuild, +quodlibet-0.11.ebuild:
  Dont make use of the deprecated oggvorbis useflag any longer, see #94254.
  Added new upstream release, fixes #88463. Updated HOMEPAGE.

  14 May 2005; Jason Wever <weeve@gentoo.org> quodlibet-0.8.1.ebuild:
  Added ~sparc keyword.

  17 Feb 2005; Michael Sterrett <mr_bones_@gentoo.org> quodlibet-0.8.1.ebuild:
  sparc needs deps first

  12 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  quodlibet-0.8.1.ebuild:
  Using virtualx eclass since make needs X for the PyGTK check.

*quodlibet-0.8.1 (12 Feb 2005)

  12 Feb 2005; Patrick Dawson <pkdawson@gentoo.org> +quodlibet-0.8.1.ebuild:
  Version bump.

  18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  quodlibet-0.4.ebuild:
  Added to -amd64 and ~sparc.

*quodlibet-0.4 (12 Nov 2004)

  12 Nov 2004; Patrick Dawson <pkdawson@gentoo.org> +quodlibet-0.4.ebuild:
  Version bump.

*quodlibet-0.3 (08 Nov 2004)

  08 Nov 2004; Patrick Dawson <pkdawson@gentoo.org> +quodlibet-0.3.ebuild:
  Initial import.

